Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class GroovyDocTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocTool

    public class GroovyDocTool
    extends Object

Authors:
  Jeremy Rayner

Constructor Summary
`GroovyDocTool(String[] sourcepaths)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
`GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)`
`GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List links, Properties properties)`

Method Summary
`void` | `add(List filenames)`
`GroovyRootDoc` | `getRootDoc()`
`void` | `renderToOutput(OutputTool output, String destdir)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyDocTool

    public GroovyDocTool(String[] sourcepaths)

  Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
  Parameters:
    `sourcepaths` - where the sources to be added can be found

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List links, Properties properties)

Method Detail

### add

    public void add(List filenames)

### getRootDoc

    public GroovyRootDoc getRootDoc()

### renderToOutput

    public void renderToOutput(OutputTool output, String destdir)

Copyright © 2003-2010 The Codehaus. All rights reserved.